Bug 972238 - [abrt] gdb-7.6-30.fc19: check_typedef: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.6-30.fc19: check_typedef: Process /usr/bin/gdb was killed by sig...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:1903f53e762d4d54d125e388ddf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 18:32 EDT by F.Prates
Modified: 2015-02-17 10:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:30:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.49 KB, text/plain)
2013-06-07 18:32 EDT, F.Prates
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-07 18:32 EDT, F.Prates
no flags Details
File: core_backtrace (2.13 KB, text/plain)
2013-06-07 18:32 EDT, F.Prates
no flags Details
File: dso_list (4.04 KB, text/plain)
2013-06-07 18:32 EDT, F.Prates
no flags Details
File: environ (2.69 KB, text/plain)
2013-06-07 18:32 EDT, F.Prates
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-07 18:32 EDT, F.Prates
no flags Details
File: maps (19.43 KB, text/plain)
2013-06-07 18:32 EDT, F.Prates
no flags Details
File: open_fds (174 bytes, text/plain)
2013-06-07 18:33 EDT, F.Prates
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2013-06-07 18:33 EDT, F.Prates
no flags Details
File: var_log_messages (277 bytes, text/plain)
2013-06-07 18:33 EDT, F.Prates
no flags Details

  None (edit)
Description F.Prates 2013-06-07 18:32:31 EDT
Description of problem:
Debugging was aborted unexpectedly.

IDE used was eclipse cdt.

I'm not sure how to reproduce it again.

Version-Release number of selected component:
gdb-7.6-30.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        gdb --interpreter mi2 --nx
crash_function: check_typedef
executable:     /usr/bin/gdb
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 check_typedef at ../../gdb/gdbtypes.c:1679
 #1 get_value_type at ../../gdb/varobj.c:2593
 #2 default_value_is_changeable_p at ../../gdb/varobj.c:3113
 #3 varobj_value_is_changeable_p at ../../gdb/varobj.c:3005
 #4 install_new_value at ../../gdb/varobj.c:1707
 #5 varobj_update at ../../gdb/varobj.c:2013
 #6 varobj_update_one at ../../gdb/mi/mi-cmd-var.c:749
 #7 mi_cmd_var_update at ../../gdb/mi/mi-cmd-var.c:731
 #8 mi_cmd_execute at ../../gdb/mi/mi-main.c:2133
 #9 captured_mi_execute_command at ../../gdb/mi/mi-main.c:1884
Comment 1 F.Prates 2013-06-07 18:32:36 EDT
Created attachment 758351 [details]
File: backtrace
Comment 2 F.Prates 2013-06-07 18:32:40 EDT
Created attachment 758352 [details]
File: cgroup
Comment 3 F.Prates 2013-06-07 18:32:43 EDT
Created attachment 758353 [details]
File: core_backtrace
Comment 4 F.Prates 2013-06-07 18:32:47 EDT
Created attachment 758354 [details]
File: dso_list
Comment 5 F.Prates 2013-06-07 18:32:50 EDT
Created attachment 758355 [details]
File: environ
Comment 6 F.Prates 2013-06-07 18:32:54 EDT
Created attachment 758356 [details]
File: limits
Comment 7 F.Prates 2013-06-07 18:32:58 EDT
Created attachment 758357 [details]
File: maps
Comment 8 F.Prates 2013-06-07 18:33:02 EDT
Created attachment 758358 [details]
File: open_fds
Comment 9 F.Prates 2013-06-07 18:33:06 EDT
Created attachment 758359 [details]
File: proc_pid_status
Comment 10 F.Prates 2013-06-07 18:33:10 EDT
Created attachment 758360 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 13:21:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:30:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.